List Roles
List Roles
GET
https://api.ocamba.com/v2/adex/roles
Returns a list of Roles.
Tip
Searchable fields are name and description. Default search field is name.
Sortable fields are: name, is_default, read_only, permissions_counter, members_counter, create_time and update_time. Default sort is name.
Note
Missing resource on GET returns 200 with total 0 and items [].
Rate limits:
- Burst: 10/s
- Steady: 150/m
Query parameters
parametersResponse schemas
›
200
application/json
›
400
application/json
›
500
application/json
curl -X GET \
"https://api.ocamba.com/v2/adex/roles" \
-H "Authorization: Bearer {TOKEN}"const url = 'https://api.ocamba.com/v2/adex/roles';
const options = {
method: 'GET',
headers: {
Authorization: `Bearer {TOKEN}`
}
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}$ch = curl_init("https://api.ocamba.com/v2/adex/roles");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer {TOKEN}"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);Responses
200 OK
{
"total": 2,
"items": [
{
"id": "1000",
"company_id": "200",
"name": "Editor",
"description": "Can manage campaigns and creatives.",
"is_default": 1,
"read_only": 0,
"permissions": [
"members.get",
"roles.get",
"campaigns.get"
],
"permissions_counter": 3,
"members_counter": 12,
"create_time": "2026-03-01 10:15:00",
"update_time": "2026-03-10 08:00:00"
},
{
"id": "1001",
"company_id": "200",
"name": "Viewer",
"description": null,
"is_default": 0,
"read_only": 0,
"permissions": [
"campaigns.get"
],
"permissions_counter": 1,
"members_counter": 4,
"create_time": "2026-03-05 12:00:00",
"update_time": "2026-03-12 09:30:00"
}
]
}
400 Bad Request
{
"code": 400,
"title": "Bad request.",
"message": "The request is not valid.",
"trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
500 Internal Server Error
{
"code": 500,
"title": "Internal server error.",
"trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
Responses